package com.gingersoft.coldchain_module.mvp.model.bean;

public class ShipAnyOrdersNewBean {
    /**
     * success : true
     * sysTime : 1598498310257
     * data : {"uid":"db0a39a9-9a0b-4c60-8a0c-6135b0a46aa7","ctime":1598469507642,"lUpd":1598469507642,"mchUid":"325764d7-b2e2-4d8b-9a68-7f4473719f9c","mchShipanyCommn":0,"curStat":"Pickup Request Sent","createTime":1598498310200,"restaurantId":153,"orderId":11121726,"isDelete":0,"updateTime":1598498310200,"delivery_man_name":"","delivery_man_phone_num":"","takeFoodCode":"0964","lab_url":""}
     */
    private boolean success;
    private long sysTime;
    private DataBean data;
    /**
     * errCode : -1
     * errMsg : 賬戶餘額不足
     */
    private String errCode;
    private String errMsg;
    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public long getSysTime() {
        return sysTime;
    }

    public void setSysTime(long sysTime) {
        this.sysTime = sysTime;
    }

    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public String getErrCode() {
        return errCode;
    }

    public void setErrCode(String errCode) {
        this.errCode = errCode;
    }

    public String getErrMsg() {
        return errMsg;
    }

    public void setErrMsg(String errMsg) {
        this.errMsg = errMsg;
    }

    public static class DataBean {
        /**
         * uid : db0a39a9-9a0b-4c60-8a0c-6135b0a46aa7
         * ctime : 1598469507642
         * lUpd : 1598469507642
         * mchUid : 325764d7-b2e2-4d8b-9a68-7f4473719f9c
         * mchShipanyCommn : 0.0
         * curStat : Pickup Request Sent
         * createTime : 1598498310200
         * restaurantId : 153
         * orderId : 11121726
         * isDelete : 0
         * updateTime : 1598498310200
         * delivery_man_name :
         * delivery_man_phone_num :
         * takeFoodCode : 0964
         * lab_url :
         */

        private String uid;
        private long ctime;
        private long lUpd;
        private String mchUid;
        private double mchShipanyCommn;
        private String curStat;
        private long createTime;
        private int restaurantId;
        private int orderId;
        private int isDelete;
        private long updateTime;
        private String delivery_man_name;
        private String delivery_man_phone_num;
        private String takeFoodCode;
        private String lab_url;//打印文檔下載鏈接

        public String getUid() {
            return uid;
        }

        public void setUid(String uid) {
            this.uid = uid;
        }

        public long getCtime() {
            return ctime;
        }

        public void setCtime(long ctime) {
            this.ctime = ctime;
        }

        public long getLUpd() {
            return lUpd;
        }

        public void setLUpd(long lUpd) {
            this.lUpd = lUpd;
        }

        public String getMchUid() {
            return mchUid;
        }

        public void setMchUid(String mchUid) {
            this.mchUid = mchUid;
        }

        public double getMchShipanyCommn() {
            return mchShipanyCommn;
        }

        public void setMchShipanyCommn(double mchShipanyCommn) {
            this.mchShipanyCommn = mchShipanyCommn;
        }

        public String getCurStat() {
            return curStat;
        }

        public void setCurStat(String curStat) {
            this.curStat = curStat;
        }

        public long getCreateTime() {
            return createTime;
        }

        public void setCreateTime(long createTime) {
            this.createTime = createTime;
        }

        public int getRestaurantId() {
            return restaurantId;
        }

        public void setRestaurantId(int restaurantId) {
            this.restaurantId = restaurantId;
        }

        public int getOrderId() {
            return orderId;
        }

        public void setOrderId(int orderId) {
            this.orderId = orderId;
        }

        public int getIsDelete() {
            return isDelete;
        }

        public void setIsDelete(int isDelete) {
            this.isDelete = isDelete;
        }

        public long getUpdateTime() {
            return updateTime;
        }

        public void setUpdateTime(long updateTime) {
            this.updateTime = updateTime;
        }

        public String getDelivery_man_name() {
            return delivery_man_name;
        }

        public void setDelivery_man_name(String delivery_man_name) {
            this.delivery_man_name = delivery_man_name;
        }

        public String getDelivery_man_phone_num() {
            return delivery_man_phone_num;
        }

        public void setDelivery_man_phone_num(String delivery_man_phone_num) {
            this.delivery_man_phone_num = delivery_man_phone_num;
        }

        public String getTakeFoodCode() {
            return takeFoodCode;
        }

        public void setTakeFoodCode(String takeFoodCode) {
            this.takeFoodCode = takeFoodCode;
        }

        public String getLab_url() {
            return lab_url;
        }

        public void setLab_url(String lab_url) {
            this.lab_url = lab_url;
        }
    }
}
